summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-5
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2007-10-19 20:38:30 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:15:19 +0200
commit426db48d468709b885a46aec572753e24ac0e8a1 (patch)
tree31f40b5879caafe522a5c7560877be811aead04f /gettext-tools/tests/xgettext-5
parent5fa250bf3af0026839c386440f908f0784792814 (diff)
downloadexternal_gettext-426db48d468709b885a46aec572753e24ac0e8a1.zip
external_gettext-426db48d468709b885a46aec572753e24ac0e8a1.tar.gz
external_gettext-426db48d468709b885a46aec572753e24ac0e8a1.tar.bz2
Avoid test suite failures on Cygwin-hosted mingw.
Diffstat (limited to 'gettext-tools/tests/xgettext-5')
-rwxr-xr-xgettext-tools/tests/xgettext-56
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/xgettext-5 b/gettext-tools/tests/xgettext-5
index 71f7458..d7fce82 100755
--- a/gettext-tools/tests/xgettext-5
+++ b/gettext-tools/tests/xgettext-5
@@ -14,11 +14,13 @@ void foo (int option)
}
EOF
-tmpfiles="$tmpfiles xg-test5.po"
+tmpfiles="$tmpfiles xg-test5.tmp xg-test5.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --no-location -k_ -o xg-test5.po xg-test5.c 2>/dev/null
test $? = 1 || { rm -fr $tmpfiles; exit 1; }
-${XGETTEXT} --no-location -k_ --from-code=iso-8859-2 -o xg-test5.po xg-test5.c
+${XGETTEXT} --no-location -k_ --from-code=iso-8859-2 -o xg-test5.tmp xg-test5.c
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-test5.tmp > xg-test5.po
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles xg-test5.pot"